Skip to main content
GET
/
api
/
v1
/
alerts
List alerts
curl --request GET \
  --url https://api.monitor.weborion.io/api/v1/alerts \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 123,
  "data": [
    {
      "id": 123,
      "url": {
        "id": 123,
        "name": "<string>",
        "url": "<string>"
      },
      "time_detected": "2023-11-07T05:31:56Z"
    }
  ],
  "first_page_url": "<string>",
  "from": 123,
  "last_page": 123,
  "last_page_url": "<string>",
  "next_page_url": "<string>",
  "path": "<string>",
  "per_page": 123,
  "prev_page_url": "<string>",
  "to": 123,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.weborion.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Generate an API token from the WebOrion Defacement Monitor portal. Pass it as Authorization: Bearer <token>.

Query Parameters

page
integer
items_per_page
integer
q
string

Search query — searches webpage name, URL, and alert ID

start_date
string
end_date
string
start_id
integer
end_id
integer

Response

200 - application/json

OK

current_page
integer
data
object[]
first_page_url
string
from
integer
last_page
integer
last_page_url
string
next_page_url
string
path
string
per_page
integer
prev_page_url
string
to
integer
total
integer